Name:           perl-CGI-Session-Driver-memcached
Version:        0.04
Release:        6%{?dist}
Summary:        CGI::Session driver for memcached
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/CGI-Session-Driver-memcached/
Source0:        http://www.cpan.org/authors/id/O/OI/OINUME/CGI-Session-Driver-memcached-%{version}.tar.gz
# Update the FSF Address in the GPL License
# https://rt.cpan.org/Public/Bug/Display.html?id=67806
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(CGI::Session) >= 4
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  memcached
BuildRequires:  perl(Cache::Memcached)
BuildRequires:  perl(Test::More)
Requires:       perl(CGI::Session) >= 4
Requires:       perl(Cache::Memcached)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
memcached stores session data into memcached.

%prep
%setup -q -n CGI-Session-Driver-memcached-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
memcached -l 127.0.0.1 &
make test || rc=$?
kill %1
exit $rc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jun 17 2012 Petr Pisar <ppisar@redhat.com> - 0.04-4
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue May 31 2011 Nicholas van Oudtshoorn <vanoudt@gmail.com> 0.04-2
- Removed patch to FSF license, upstream bug report at https://rt.cpan.org/Public/Bug/Display.html?id=67806
- Added memcached build requirements, so that the tests actually run
* Thu Apr 28 2011 Nicholas van Oudtshoorn 0.04-1
- Specfile autogenerated by cpanspec 1.78.
